Skip to main content
POST
/
buckets
Create a new Atlantic bucket.
curl --request POST \
  --url https://atlantic.api.herodotus.cloud/buckets \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>' \
  --data '
{
  "externalId": null,
  "nodeWidth": null,
  "aggregatorParams": null,
  "mockProof": false
}
'
{
  "atlanticBucket": {
    "id": "<string>",
    "externalId": "<string>",
    "aggregatorParams": "<string>",
    "nodeWidth": -1,
    "leaves": -1,
    "mockProof": true,
    "projectId": "<string>",
    "createdByClient": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
header
required

Query Parameters

apiKey
string

Body

application/json
aggregatorVersion
enum<string>
required
Available options:
snos_aggregator_0.13.3,
snos_aggregator_0.13.4,
snos_aggregator_0.14.0,
snos_aggregator_0.14.1
externalId
string | null
nodeWidth
number | null
aggregatorParams
object
mockProof
boolean | null
default:false

Response

Default Response

atlanticBucket
object
required